# Lab 2 - Software Performance 2023

This is Lab 2 of the **Software Performance** course at USI.

Go to [this Lab on iCorsi](https://www.icorsi.ch/course/view.php?id=16963).

## Submission Info

Property     | Value
------------ | -------------
First Name   | ...
Last Name    | ...

## Submission Checklist

Please complete this checklist (turn [ ] into [X]) before you submit:

- [ ] I completed the above Submission Info
- [ ] I built the project in IntelliJ (Build > Build Project)
- [ ] I ran test/test.sh and verified that it runs (and fails)
- [ ] I implemented the analysis in src/Analyzer.java, outputting:
  - [ ] Number of classes (incl. interfaces and enums)
  - [ ] Number of concrete non-native, non-abstract methods (methods with code)
  - [ ] Total number of instructions (ignoring instructions with opcode -1)
  - [ ] Total number of instructions by opcode (ignoring instructions with opcode -1)
  - [ ] Total number of method invocation instructions (== call sites)
  - [ ] Total number of conditional branch instructions (excluding GOTO, but including multi-way branches)
- [ ] I wrote the source code myself and did not look at the source code of my classmates
- [ ] I ran test/test.sh and verified that it runs and passes
- [ ] I committed my changes (at least one commit, but possibly many)
- [ ] I pushed my commits to GitHub
